<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

// +-----------------------------------------------------------------------+
// | Check Access and exit when user status is not ok                      |
// +-----------------------------------------------------------------------+
check_status(ACCESS_ADMINISTRATOR);

$DownloadMulti = get_plugin_data($plugin_id);

global $template;
$template->set_filenames( array('plugin_admin_content' => $DownloadMulti->plugin_path.'template/DmAdmin.tpl') );

// Si le formulaire est post
// alors on crit la configuration
if ( isset($_POST['downloadmulti_rep_pwg']) )
{
    // Si l'utilisateur n'a pas indiqu de rpertoire d'installation de PhpWebGallery
    if ($_POST['downloadmulti_rep_pwg'] == '')
    {
        array_push($page['errors'], 'Vous devez indiquer le rpertoire physique de PhpWebGallery');
    }

    // Si l'utilisateur n'a pas indiqu de groupe authotis  tlcharger les images
    if ($_POST['downloadmulti_group_id'] == '')
    {
        array_push($page['errors'], 'Vous devez indiquer le groupe authoris  tlcharger les images');
    }

    if ($_POST['downloadmulti_archive_size'] == '')
    {
        array_push($page['errors'], 'Vous devez indiquer la taille des archives');
    }

    // Si il n'y a pas d'erreurs
    if (count($page['errors']) == 0)
    {
        $DownloadMulti->my_config['rep_pwg'] = $_POST['downloadmulti_rep_pwg'];
        $DownloadMulti->my_config['comment'] = $_POST['downloadmulti_comment'];
        $DownloadMulti->my_config['group_id'] = $_POST['downloadmulti_group_id'];
        $DownloadMulti->my_config['archive_size'] = $_POST['downloadmulti_archive_size'];
        $DownloadMulti->my_config['prefix'] = $_POST['downloadmulti_prefix'];
        $DownloadMulti->my_config['prefix_dir'] = $_POST['downloadmulti_prefix_dir'];
        $DownloadMulti->my_config['active_msg'] = isset($_POST['downloadmulti_active_msg']);
        $DownloadMulti->save_config();
        global $page;
        array_push($page['infos'], 'Configuration de Download Multi sauvegarde');
    }
}

$template->assign_var('DOWNLOADMULTI_REP_PWG', $DownloadMulti->my_config['rep_pwg']);
$template->assign_var('DOWNLOADMULTI_COMMENT', $DownloadMulti->my_config['comment']);
$template->assign_var('DOWNLOADMULTI_GROUP_ID', $DownloadMulti->my_config['group_id']);
$template->assign_var('DOWNLOADMULTI_ARCHIVE_SIZE', $DownloadMulti->my_config['archive_size']);
$template->assign_var('DOWNLOADMULTI_PREFIX', $DownloadMulti->my_config['prefix']);
$template->assign_var('DOWNLOADMULTI_PREFIX_DIR', $DownloadMulti->my_config['prefix_dir']);
$template->assign_var('DOWNLOADMULTI_ACTIVE_MSG', $DownloadMulti->my_config['active_msg'] ? 'checked="checked"' : '' );

$template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');
?>
